Skip to main content
Platform O&M/Backup Management/CBT Operations
POSTCBT OperationsSince 5.3.28SynchronousAuth Required

DisableCbtTask

DisableCbtTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • forceboolean

      Optional. Forcible or not.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCbtTaskInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • statusCbtTaskStatusRequired

      See status

      • CreatedCbtTaskStatusRequired

        The task is created.

      • StartingCbtTaskStatusRequired

        The task is starting.

      • RunningCbtTaskStatusRequired

        The task is running.

      • StoppedCbtTaskStatusRequired

        The task is stopped.

      • FailedCbtTaskStatusRequired

        The task failed.

Endpoint

POST/zstack/v1/cbt-task/disable/{uuid}

/zstack/v1/cbt-task/disable/{uuid}

Operation ID

DisableCbtTask

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/cbt-task/disable/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"force":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5ca9c15a50c53f0dac359a64841d7b2b", "name": "My Task", "status": "Stopped" } }

Change History

This API has no change history records yet.

View all change history